Bug 787996 - file-roller 3.2.1 fail to display Chinese characters correctly inside a zip file
Summary: file-roller 3.2.1 fail to display Chinese characters correctly inside a zip file
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 16
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-07 07:55 UTC by Ma Hsiao-chun
Modified: 2013-02-13 18:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 18:23:25 UTC
Type: ---


Attachments (Terms of Use)
The Zip File For Testing (166 bytes, application/octet-stream)
2012-02-07 07:55 UTC, Ma Hsiao-chun
no flags Details

Description Ma Hsiao-chun 2012-02-07 07:55:08 UTC
Created attachment 559859 [details]
The Zip File For Testing

Description of problem:
I created a zip file containing Chinese file name for testing purpose. The creation tool is WinZip 11.2. WinRAR in the same English locale Windows, `zip` command, and File Roller in another Linux distribution can handle Chinese character correctly. But File Roller in Fedora 16 (I just yum update) cannot.

Version-Release number of selected component (if applicable):
file-roller 3.2.1

How reproducible:
Download & Open

Steps to Reproduce:
1. Download the attachment "The Zip File For Testing"
2. Open it with File Roller
  
Actual results:
????.txt

Expected results:
中文測試.txt

Additional info:
`zip -sf file.zip` gives correct file name

This problem does not show up on LinuxDeepin with same version of File Roller.
LinuxDeepin is a Ubuntu-based distribution.
http://www.linuxdeepin.com/

My locale is en_US.utf8.
LANG=<a Chinese locale> file-roller file.zip 
#UI language changes, but the file name is still 4 question marks.

Comment 1 Ma Hsiao-chun 2012-02-11 14:17:48 UTC
FYI

Test my file using en_US.utf8 locale and Fedora 16:

unzip file.zip #kinda error
7za x file.zip #flawless!

LinuxDeepin's unzip is patched. You may find the following bug relevant
https://bugs.launchpad.net/ubuntu/+source/unzip/+bug/580961

Maybe file-roller should use p7zip exclusively?

Comment 2 Fedora End Of Life 2013-01-16 15:29:22 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 18:23:28 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.